API Reference

List customers

GET/customers

Query Parameters

offsetstring(optional)

The page number of customers to be returned.

limitstring(optional)

The number of customers per page to be returned.

Request

curl
curl -u <<user>>:<<pass>> https://gateway.pmnts-sandbox.io/v1.0/customers

Response

200cURL
json
{
  "successful": true,
  "response": [
  {
    "id": "071-C-JE34F66V",
    "email": "jim@citizen.com",
    "reference": "CUST-98198",
    "first_name": "Jim",
    "last_name": "Smith",
    "created_at": "2017-12-04T21:51:11+11:00",
    "address": {
    "address": "",
    "city": "",
    "state": "",
    "postcode": "",
    "country": ""
    },
    "card_token": "fke89s3v",
    "card_number": "400555XXXXXX0001",
    "bank_account": null,
    "metadata": {}
  },
  # ...
  ],
  "errors": [],
  "test": true,
  "records": 10,
  "total_records": 945,
  "page": 1,
  "total_pages": 95
}